<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/I2CCommander.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('I2CCommander_8hpp_source.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">I2CCommander.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __i2cCommander_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __i2cCommander_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="Commanders_8h.html">Commanders.h</a>&gt;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef NO_I2CCOMMANDER</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifdef VISUALSTUDIO</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">    #include &quot;Wire.hpp&quot;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">    #include &lt;Wire.h&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#define I2CCommander I2CCommanderClass::GetCurrent()</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classI2CCommanderClass.html">   37</a></span>&#160;<span class="keyword">class </span><a class="code" href="classI2CCommanderClass.html">I2CCommanderClass</a> : <a class="code" href="classCommander.html">Commander</a></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;{</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        uint8_t I2CSlaveId;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        <span class="keyword">static</span> <a class="code" href="classI2CCommanderClass.html">I2CCommanderClass</a> *pI2cCommander;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classI2CCommanderClass.html#a9c8d2f7e5eb24f31086fd8e4cd5acf58">   45</a></span>&#160;        <span class="keyword">inline</span> <a class="code" href="classI2CCommanderClass.html#a9c8d2f7e5eb24f31086fd8e4cd5acf58">I2CCommanderClass</a>() : <a class="code" href="classCommander.html">Commander</a>() {}</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classI2CCommanderClass.html#ac6575229251840ec767b7595e172ea1e">begin</a>(uint8_t inI2CSlaveID);</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classI2CCommanderClass.html#a11fda5e10b4caf40275fea5854018808">loop</a>();</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classI2CCommanderClass.html#a3005801c54446babf760167577be8039">   59</a></span>&#160;        <span class="keyword">static</span> <span class="keyword">inline</span> <a class="code" href="classI2CCommanderClass.html">I2CCommanderClass</a> &amp;<a class="code" href="classI2CCommanderClass.html#a3005801c54446babf760167577be8039">GetCurrent</a>()</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        {</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;            <span class="keywordflow">if</span> (pI2cCommander == NULL)</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;                pI2cCommander = <span class="keyword">new</span> <a class="code" href="classI2CCommanderClass.html#a9c8d2f7e5eb24f31086fd8e4cd5acf58">I2CCommanderClass</a>();</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;            <span class="keywordflow">return</span> *(I2CCommanderClass::pI2cCommander);</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        }</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="preprocessor">#ifdef COMMANDERS_PRINT_COMMANDERS</span></div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classI2CCommanderClass.html#af6819052ca1a9dc32d07d2ad79be064e">printCommander</a>();</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;};</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="ttc" id="classI2CCommanderClass_html_a3005801c54446babf760167577be8039"><div class="ttname"><a href="classI2CCommanderClass.html#a3005801c54446babf760167577be8039">I2CCommanderClass::GetCurrent</a></div><div class="ttdeci">static I2CCommanderClass &amp; GetCurrent()</div><div class="ttdef"><b>Definition:</b> <a href="I2CCommander_8hpp_source.html#l00059">I2CCommander.hpp:59</a></div></div>
<div class="ttc" id="classI2CCommanderClass_html_ac6575229251840ec767b7595e172ea1e"><div class="ttname"><a href="classI2CCommanderClass.html#ac6575229251840ec767b7595e172ea1e">I2CCommanderClass::begin</a></div><div class="ttdeci">void begin(uint8_t inI2CSlaveID)</div><div class="ttdef"><b>Definition:</b> <a href="I2CCommander_8cpp_source.html#l00055">I2CCommander.cpp:55</a></div></div>
<div class="ttc" id="classI2CCommanderClass_html_a9c8d2f7e5eb24f31086fd8e4cd5acf58"><div class="ttname"><a href="classI2CCommanderClass.html#a9c8d2f7e5eb24f31086fd8e4cd5acf58">I2CCommanderClass::I2CCommanderClass</a></div><div class="ttdeci">I2CCommanderClass()</div><div class="ttdef"><b>Definition:</b> <a href="I2CCommander_8hpp_source.html#l00045">I2CCommander.hpp:45</a></div></div>
<div class="ttc" id="classCommander_html"><div class="ttname"><a href="classCommander.html">Commander</a></div><div class="ttdef"><b>Definition:</b> <a href="Commander_8hpp_source.html#l00023">Commander.hpp:23</a></div></div>
<div class="ttc" id="classI2CCommanderClass_html_af6819052ca1a9dc32d07d2ad79be064e"><div class="ttname"><a href="classI2CCommanderClass.html#af6819052ca1a9dc32d07d2ad79be064e">I2CCommanderClass::printCommander</a></div><div class="ttdeci">void printCommander()</div><div class="ttdef"><b>Definition:</b> <a href="I2CCommander_8cpp_source.html#l00076">I2CCommander.cpp:76</a></div></div>
<div class="ttc" id="classI2CCommanderClass_html_a11fda5e10b4caf40275fea5854018808"><div class="ttname"><a href="classI2CCommanderClass.html#a11fda5e10b4caf40275fea5854018808">I2CCommanderClass::loop</a></div><div class="ttdeci">unsigned long loop()</div><div class="ttdef"><b>Definition:</b> <a href="I2CCommander_8cpp_source.html#l00063">I2CCommander.cpp:63</a></div></div>
<div class="ttc" id="classI2CCommanderClass_html"><div class="ttname"><a href="classI2CCommanderClass.html">I2CCommanderClass</a></div><div class="ttdef"><b>Definition:</b> <a href="I2CCommander_8hpp_source.html#l00037">I2CCommander.hpp:37</a></div></div>
<div class="ttc" id="Commanders_8h_html"><div class="ttname"><a href="Commanders_8h.html">Commanders.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>I2CCommander.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
